summaryrefslogtreecommitdiff
path: root/packages/wlan-ng/files/post-down
diff options
context:
space:
mode:
authornslu2-linux.adm@bkbits.net <nslu2-linux.adm@bkbits.net>2005-05-05 14:40:05 +0000
committernslu2-linux.adm@bkbits.net <nslu2-linux.adm@bkbits.net>2005-05-05 14:40:05 +0000
commitbe8a8aee064feb50cc3dd13a67487c9b95aeee02 (patch)
tree65d8d42c94897c5ce2e1fb6b9bf68aca132d8b6a /packages/wlan-ng/files/post-down
parentb5dfd41f48b6e5c98ecc8cd7a22b5cf794a4e73b (diff)
Merge bk://oe-devel.bkbits.net/openembedded
into bkbits.net:/repos/n/nslu2-linux/openembedded 2005/05/05 15:39:30+02:00 uni-frankfurt.de!mickeyl fix oesources mirror entry. spotted by Nick Haflinger BKrev: 427a3045Wm9Tmb-X85GBp5HPmFI_4w
Diffstat (limited to 'packages/wlan-ng/files/post-down')
-rw-r--r--packages/wlan-ng/files/post-down31
1 files changed, 31 insertions, 0 deletions
diff --git a/packages/wlan-ng/files/post-down b/packages/wlan-ng/files/post-down
index e69de29bb2..bf4ba0ae60 100644
--- a/packages/wlan-ng/files/post-down
+++ b/packages/wlan-ng/files/post-down
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# This script takes care of bringing down wlan-ng devices.
+# It is run by ifdown.
+
+WLANCTL=/sbin/wlanctl-ng
+
+if [ ! -x $WLANCTL ] ; then
+ exit 0
+fi
+
+case $IFACE in
+wlan?)
+ # Reset device to make sure it is not trying to generate
+ # interrupts.
+ result=`$WLANCTL $IFACE lnxreq_ifstate ifstate=disable`
+
+ # Remove modules. Of course, for all I know they are still in use
+ # by another interface, in which case these rmmods will fail. Also,
+ # depending on how modutils is set up, different prism2 modules
+ # might be loaded.
+ (
+ rmmod prism2_pci || rmmod prism2_cs || rmmod prism2_usb || \
+ rmmod prism2_plx || true
+ rmmod p80211 || true
+ ) 2>/dev/null
+
+ # Remove lock file, just in case.
+ rm -f /var/lock/wlan-$IFACE.lock
+;;
+esac